Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.operations
Interface IFeatureOperation

All Superinterfaces:
  IOperation

All Known Subinterfaces:
  IConfigFeatureOperation, IInstallFeatureOperation, IReplaceFeatureVersionOperation, IUnconfigFeatureOperation, IUninstallFeatureOperation

public interface IFeatureOperation
extends IOperation

An operation that applies to a feature, such as install, uninstall, etc.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Method Summary
`IFeature` | `getFeature()` Returns the feature to operate on.
`IFeature` | `getOldFeature()` Returns the previous version of the feature (if any).
`IConfiguredSite` | `getTargetSite()` Returns the site in which the operation is applied.
`void` | `setTargetSite(IConfiguredSite targetSite)` Sets the site in which the feature is being operated on.

Methods inherited from interface org.eclipse.update.operations.IOperation
`execute, isProcessed, markProcessed`

Method Detail

### getFeature

    public IFeature getFeature()

  Returns the feature to operate on.

  Returns:
    the feature to operate on.

### getTargetSite

    public IConfiguredSite getTargetSite()

  Returns the site in which the operation is applied.

  Returns:
    the site that owns or will own the feature.

### getOldFeature

    public IFeature getOldFeature()

  Returns the previous version of the feature (if any).

  Returns:
    the previous installed version of a feature (if any).

### setTargetSite

    public void setTargetSite(IConfiguredSite targetSite)

  Sets the site in which the feature is being operated on.

  Parameters:
    `targetSite` - the site in which the featre is being operated on.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.